# curl_escape

(PHP 5 >= 5.5.0, PHP 7)

curl_escape — URL encodes the given string

### Description

curl_escape ( resource `$ch` , string `$str` ) : string

This function URL encodes the given string according to » RFC 3986.

### Parameters

`ch`

  A cURL handle returned by curl_init().

`str`

  The string to be encoded.

### Return Values

Returns escaped string or `FALSE` on failure.

### Examples

Example #1 curl_escape() example

`<?php
// Create a curl handle
$ch = curl_init();
// Escape a string used as a GET parameter
$location = curl_escape($ch, 'Hofbräuhaus / München');
// Result: Hofbr%C3%A4uhaus%20%2F%20M%C3%BCnchen
// Compose an URL with the escaped string
$url = "http://example.com/add_location.php?location={$location}";
// Result: http://example.com/add_location.php?location=Hofbr%C3%A4uhaus%20%2F%20M%C3%BCnchen
// Send HTTP request and close the handle
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_exec($ch);
curl_close($ch);
?>`

### See Also

- curl_unescape() - Decodes the given URL encoded string
- urlencode() - URL-encodes string
- rawurlencode() - URL-encode according to RFC 3986
- » RFC 3986